Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class ShoppingEvent

    java.lang.Object
      |
      +--com.bea.p13n.property.AbstractConfigurableEntity
            |
            +--com.bea.p13n.events.Event
                  |
                  +--com.bea.p13n.tracking.events.TrackingEvent
                        |
                        +--com.bea.commerce.ebusiness.tracking.events.ShoppingEvent

Direct Known Subclasses:
  AddToCartEvent, BuyEvent, PurchaseCartEvent, RemoveFromCartEvent

public abstract class ShoppingEvent
extends TrackingEvent

Event for tracking shopping and purchase activity

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `APPLICATION_NAME` Event attribute key name for application name (aka storefront) Attribute value is a String
`static java.lang.String` | `CURRENCY` Event attribute key name for currency (used by shopping and buy) Attribute value is a String
`static java.lang.String` | `QUANTITY` Event attribute key name for quantity (used by shopping and buy) Attribute value is a Double
`static java.lang.String` | `SKU` Event attribute key name for item sku (used by most) Attribute value is a String

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`APPLICATION, REQUEST, SESSION_ID, USER_ID`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Constructor Summary
`ShoppingEvent(java.lang.String theEventType, java.lang.String theSessionId, java.lang.String theUserId, java.lang.String theXMLNamespace, java.lang.String theXSDFile, java.lang.String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest, java.lang.String aSKU, java.lang.Double theQuantity, java.lang.String aCurrency, java.lang.String aApplicationName)` Create a new ShoppingEvent.

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getXMLNamespace, getXSDFile, setSchemaKeys, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SKU

    public static final java.lang.String SKU

  Event attribute key name for item sku (used by most) Attribute value is a String

### QUANTITY

    public static final java.lang.String QUANTITY

  Event attribute key name for quantity (used by shopping and buy) Attribute value is a Double

### CURRENCY

    public static final java.lang.String CURRENCY

  Event attribute key name for currency (used by shopping and buy) Attribute value is a String

### APPLICATION_NAME

    public static final java.lang.String APPLICATION_NAME

  Event attribute key name for application name (aka storefront) Attribute value is a String

Constructor Detail

### ShoppingEvent

    public ShoppingEvent(java.lang.String theEventType,
                         java.lang.String theSessionId,
                         java.lang.String theUserId,
                         java.lang.String theXMLNamespace,
                         java.lang.String theXSDFile,
                         java.lang.String[] theSchemaKeys,
                         javax.servlet.http.HttpServletRequest theRequest,
                         java.lang.String aSKU,
                         java.lang.Double theQuantity,
                         java.lang.String aCurrency,
                         java.lang.String aApplicationName)

  Create a new ShoppingEvent.

  Parameters:
    `theEventType` - the event type
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theXMLNamespace` - the namespace for an XML representation of this event type
    `theXSDFile` - the file that contains the schema which specifies and enforces typing on the data in the XML file
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object
    `aSKU` - SKU of the item (optionally null)
    `theQuantity` - quantity of item
    `aCurrency` - the currency (null ig unknown)
    `aApplicationName` - (aka storefront) (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved